View Issue Details

IDProjectCategoryView StatusLast Update
0017048LazarusIDEpublic2010-08-03 08:12
ReporterchronosAssigned ToMaxim Ganetsky 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017048: Wrong Czech language code
DescriptionAccording to ISO 639-1 (http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) Czech language should have text code cs instead of cz. With cz code automatic language selection don't work. With cs code czech translation is selected properly. Tested on Linux and Windows.

On linux locale directories are like:
/usr/share/locale/cs/LC_MESSAGES
/usr/share/locale-langpack/cs/LC_MESSAGES

LANG=cs_CZ.utf8
LC_CTYPE="cs_CZ.utf8"
LC_NUMERIC="cs_CZ.utf8"
LC_TIME="cs_CZ.utf8"
LC_COLLATE="cs_CZ.utf8"
LC_MONETARY="cs_CZ.utf8"
LC_MESSAGES="cs_CZ.utf8"
LC_PAPER="cs_CZ.utf8"
LC_NAME="cs_CZ.utf8"
LC_ADDRESS="cs_CZ.utf8"
LC_TELEPHONE="cs_CZ.utf8"
LC_MEASUREMENT="cs_CZ.utf8"
LC_IDENTIFICATION="cs_CZ.utf8"
LC_ALL=


All of czech translation files should be renamed from .cz.po to .cs.po.

I attached updated language files renamed to .cs.po so old files could be deleted.

In file ide/idetranslations.pas code for Czech language should be changed to cs.
TagsNo tags attached.
Fixed in Revision26878
LazTarget-
Widgetset
Attached Files

Activities

2010-07-27 18:57

 

lazarus_czech.zip (156,608 bytes)

Maxim Ganetsky

2010-07-28 22:59

developer   ~0039768

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-07-27 18:57 chronos New Issue
2010-07-27 18:57 chronos File Added: lazarus_czech.zip
2010-07-28 20:55 Jesus Reyes Status new => assigned
2010-07-28 20:55 Jesus Reyes Assigned To => Maxim Ganetsky
2010-07-28 22:59 Maxim Ganetsky Fixed in Revision => 26878
2010-07-28 22:59 Maxim Ganetsky LazTarget => -
2010-07-28 22:59 Maxim Ganetsky Status assigned => resolved
2010-07-28 22:59 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-07-28 22:59 Maxim Ganetsky Resolution open => fixed
2010-07-28 22:59 Maxim Ganetsky Note Added: 0039768
2010-08-03 08:12 chronos Status resolved => closed